package alx.p36_lokalizacja.formatowanie;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class ParsowanieDat {

	public static void main(String[] args) {
			System.out.println("Wlasne wzorce");
			//DateFormat f = DateFormat.getDateInstance(DateFormat.SHORT);
			
			//DateFormat f = new SimpleDateFormat("HH:mm");
			DateFormat f = new SimpleDateFormat("HH:mm:ss z");
			Date now = new Date();
			
		try {
			System.out.println("Wypisuje "+f.format(now));
			//Date data = f.parse("15.03.09");
			Date data = f.parse("20:12:13 GMT śmieci potem");
			System.out.println("Wczytana "+data);
		} catch (ParseException e) {
			System.err.println("Wyjatek 1 "+e.getMessage());
		}

	}

}
